package cn.iocoder.yudao.module.bpm.service.definition;

import cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.copy.TaskCopySaveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.definition.TaskCopyDO;

import javax.validation.Valid;

public interface TaskCopyService {

    /**
     * 创建抄送节点信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createTaskCopy(@Valid TaskCopySaveReqVO createReqVO);

    /**
     * 更新抄送节点信息
     *
     * @param updateReqVO 更新信息
     */
    void updateTaskCopy(@Valid TaskCopySaveReqVO updateReqVO);

    /**
     * 删除抄送节点信息
     *
     * @param id 编号
     */
    void deleteTaskCopy(Long id);

    /**
     * 获得抄送节点信息
     *
     * @param id 编号
     * @return 抄送节点信息
     */
    TaskCopyDO getTaskCopy(Long id);

}
